# List Brand Orders by Brand Id according to the filters applied.

List Brand Orders per brand id, according to the filters applied.

Endpoint: GET /v1/projects/{projectId}/us/brands/{brandId}/orders
Version: 1.0.0
Security: OAuth2

## Path parameters:

  - `projectId` (string, required)
    Customer's project id

  - `brandId` (string, required)
    Brand ID reference

## Query parameters:

  - `status` (array)
    The brand Order status to filter the brand orders.

  - `metadataName` (string)
    Filter brand orders by brand registration process metadata name.
    Enum: "US_SC_REGISTRY", "US_SC_GCH", "US_SC_GCH_CONTENT_PROVIDER", "US_10DLC_TCR_PRIVATE_BRAND_REGISTRATION", "US_10DLC_TCR_PUBLIC_BRAND_REGISTRATION", "US_10DLC_TCR_PRIVATE_BRAND_UPDATE", "US_10DLC_TCR_PUBLIC_BRAND_UPDATE", "US_10DLC_TCR_PRIVATE_MOCK", "US_10DLC_TCR_PUBLIC_MOCK", "US_10DLC_TCR_SOLE_PROPRIETOR", "US_10DLC_TCR_PRIVATE_STANDARD_BRAND_REGISTRATION", "US_10DLC_TCR_PRIVATE_ENHANCED_BRAND_REGISTRATION", "US_10DLC_TCR_PUBLIC_STANDARD_BRAND_REGISTRATION", "US_10DLC_TCR_PUBLIC_ENHANCED_BRAND_REGISTRATION", "US_RCS_TCR_PRIVATE_BRAND_REGISTRATION", "US_RCS_TCR_PUBLIC_BRAND_REGISTRATION", "US_RCS_TCR_UPDATE_ASSETS"

  - `sort` (string)
    Sorting of the results using SQL-like syntax: comma-separated field names with an optional ':desc' or ':asc' suffix. Fields that support sorting are 'metadataName', 'status', 'createTime', 'updateTime'. Defaults to ascending order when no suffix is provided.
    Example: "metadataName,status:desc"

  - `pageSize` (integer)
    Size of the page to be returned. Default is 20. Maximum is 100.
    Example: 20

  - `pageToken` (string)
    Page token to request subsequent pages when using pagination. This should be the value generated by the system in a previous list request.

## Response 200 fields (application/json):

  - `orders` (array)
    List of brand orders

  - `orders.brandOrderId` (string)
    The unique identifier for the brand order.

  - `orders.brandId` (string)
    Brand ID this Order belongs to.

  - `orders.status` (string)
    Brand Order status. This field is useful to quickly check the status of the order without having to call the Get Brand Order endpoint.
    Enum: "NEW", "PENDING", "PENDING_REVIEW", "REJECTED", "INCOMPLETE", "COMPLETED", "ARCHIVED"

  - `orders.metadataName` (string)
    Metadata name of the brand order, which identifies the type of the order and the process it follows. This field is useful to quickly check the type of the order without having to call the Get Brand Order endpoint.
    Enum: same as `metadataName` (17 values)

  - `orders.createTime` (string)
    Create time of the request. ISO date time format in UTC.

  - `orders.updateTime` (string)
    Update time of the request. ISO date time format in UTC.

  - `links` (object)
    Pagination links.

  - `links.next` (string)
    Link to the next page of results, following RFC 8288. Absence of this link indicates the last page.

  - `meta` (object)
    Pagination metadata.

  - `meta.totalCount` (integer)
    Total count of resources matching the provided search criteria. This field cannot be null; an empty result will return 0.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    A URI reference that identifies the problem type. This URI reference should provide a human-readable explanation of the problem type when dereferenced.

  - `title` (string, required)
    A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for localization purposes.

  - `body` (object) — one of:
    - variant 1:
      - `errors` (array)
        Detailed information about the error. This field can contain multiple error details to provide more context about the error that occurred.
      - `errors.pointer` (string)
        JSON pointer to the field that caused the error, following RFC 6901.
      - `errors.detail` (string)
        A human-readable explanation specific to this occurrence of the problem. Like title, this field is not intended for end users, but rather for developers to understand the details of the error that occurred.
    - variant 2:
      - `detail` (string)
        A human-readable explanation of the error that occurred.


